%global momorel 1
Summary: VNC client for the GNOME Desktop
Name: vinagre
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/vinagre
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: gnutls-devel
BuildPrereq: libglade2-devel >= 2.6.4
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: gnome-keyring-devel >= 2.26.0
BuildPrereq: gtk-vnc-devel >= 0.3.8
BuildPrereq: avahi-devel >= 0.6.24
BuildPrereq: gnome-panel-devel >= 2.26.0

Requires: rarian
Requires: GConf2

%description
This is vinagre, a VNC client for the GNOME Desktop.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install --enable-avahi
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

# deplecated
rm -rf %{buildroot}%{_datadir}/doc/vinagre

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/vinagre.schemas \
    > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/vinagre.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/vinagre.schemas \
      > /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/vinagre.schemas
%{_bindir}/%{name}
%{_libdir}/bonobo/servers/GNOME_VinagreApplet.server
%{_libexecdir}/vinagre-applet
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/mime/packages/vinagre-mime.xml
%{_mandir}/man1/vinagre.1.*

%changelog
* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Sat Mar  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Mon Feb 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.2-2m)
- rebuild against rpm-4.6

* Mon Dec  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- [SECURITY] CVE-2008-5660
- update to 2.24.2

* Tue Oct 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.24.1-2m)
- add BuildPrereq

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.1-2m)
- rebuild against gnutls-2.4.1

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against gcc43

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initial build
